Bug 1788493 (CVE-2020-5496) - CVE-2020-5496 fontforge: heap-based buffer overflow in the Type2NotDefSplines() function in splinesave.c
Summary: CVE-2020-5496 fontforge: heap-based buffer overflow in the Type2NotDefSplines...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2020-5496
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-07 11:18 UTC by Marian Rehak
Modified: 2020-07-16 07:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-08 10:31:50 UTC


Attachments (Terms of Use)

Description Marian Rehak 2020-01-07 11:18:04 UTC
FontForge 20190801 has a heap-based buffer overflow in the Type2NotDefSplines() function in splinesave.c.

Upstream Issue:

https://github.com/fontforge/fontforge/issues/4085

Comment 1 Product Security DevOps Team 2020-04-08 10:31:50 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-5496


Note You need to log in before you can comment on or make changes to this bug.